<!--
  Title: SSI-DID Github Repositories
  Description: description: ... and you can too!
  Author: aloisdg
  -->

# SSI-DID Github Repositories
**... and you can too!**

## Contents

* [/WebOfTrustInfo](#weboftrustinfo---design-workshop)
* [/w3c](#w3c---world-wide-web-consortium-)
  * [Verifiable Claims Working Group](#w3cverifiable-claims----vc-working-group-)
  * [Credentials Community Group](#w3c-ccg---credentials-community-group-)
    * [CCG](#ccg-)
    * [DID](did-)
    * [Verifiable Credentials](#ccg---verifiable-credentials-)
    * [Linked Data](#ccg----linked-data-)
  * [Digital Verification Community Group](#digital-verification-community-group-)
  * [OpenCreds](#opencreds-)
* [Decentralized Identity Foundation](#decentralized-identity---dif-)
* [/hyperledger Indy](#hyperledger-indy-)
* [/peacekeeper/blockchain-identity](#peacekeeperblockchain-identity-)
* [/decentralized-id/decentralized-id.github.io](#decentralized-iddecentralized-idgithubio-)
* []

## /WebOfTrustInfo - Design Workshop

>The Web of Trust is a buzzword for a new model of decentralized self-sovereign identity. It’s a phrase that dates back almost twenty-five years, the classic definition derives from PGP.

\#RebootingWebOfTrust holds bi-annual design workshops where many of the ideas in SSI\DID were formed.

In advance of each workshop, all participants produce a one-or-two page topic paper on either:

* A specific problem that they wanted to solve with a web-of-trust solution, and why current solutions (PGP or CA-based PKI) can't address the problem?
*  A specific solution related to the web-of-trust that you'd like others to use or contribute to?

The workshop itself also produces technical whitepapers, this Repository holds a record of the progression of thought in SSI, since November, 2015.

* <a href="https://github.com/WebOfTrustInfo/" target="_blank">https://github.com/WebOfTrustInfo/</a>
* <a href="literature/Rebooting-Web-of-Trust.md">One Page List of RWoT Literature</a>

## /w3c - World Wide Web Consortium [**^**](#contents)

### /w3c/verifiable-claims  - VC Working Group [**^**](#contents)

<a href="https://lists.w3.org/Archives/Public/public-vc-wg/" target="_blank">Verifiable Claims WG - Mailing List</a> (and archives)

* <a href="https://github.com/w3c/verifiable-claims" target="_blank">/w3c/verifiable-claims</a> - W3C Verifiable Claims Working Group.
* <a href="https://github.com/w3c/vc-data-model" target="_blank">/w3c/vc-data-model</a> -Verifiable Claims Data Model and Representations specification.
* <a href="https://github.com/w3c/vc-use-cases" target="_blank">/w3c/vc-use-cases</a> - Verifiable Claims Use Cases.
* <a href="https://github.com/w3c/vc-test-suite" target="_blank">/w3c/vc-test-suite</a> - Verifiable Claims WG Test Suite.
* <a href="https://github.com/w3c/vc-imp-guide" target="_blank">/w3c/vc-imp-guide</a> - Verifiable Credentials Implementation Guidelines

### /w3c-ccg - Credentials Community Group [**^**](#contents)

#### CCG [**^**](#contents)

<a href="http://lists.w3.org/Archives/Public/public-credentials/" target="_blank">Public mailing list for the Credentials Community Group</a> (and archives) - Anyone may read or write to this list.
  * <a href="https://github.com/w3c-ccg/meetings" target="_blank">/w3c-ccg/meetings</a> CCG Meeting Transcripts
* <a href=" https://github.com/w3c-ccg/community" target="_blank">/w3c-ccg/community</a> - CCG Community Repo
* <a href="https://github.com/w3c-ccg/announcements" target="_blank">/w3c-ccg/announcements</a> - CCG Announcements
* <a href="https://github.com/w3c-ccg/w3c-ccg-process" target="_blank">/w3c-ccg/w3c-ccg-process</a>
* <a href="https://github.com/w3c-ccg/registries-process" target="_blank">/w3c-ccg/registries-process</a>

#### DID [**^**](#contents)

* <a href="https://github.com/w3c-ccg/did-primer" target="_blank">/w3c-ccg/did-primer</a> - A Primer for Decentralized Identifiers
* <a href="https://github.com/w3c-ccg/did-spec" target="_blank">/w3c-ccg/did-spec</a> - Decentralized Identifier (DID) 1.0 Specification - Data Model and Syntax
* <a href="https://github.com/w3c-ccg/did-resolution" target="_blank">/w3c-ccg/did-resolution</a> Spec 1.0
* <a href="https://github.com/w3c-ccg/did-use-cases" target="_blank">/w3c-ccg/did-use-cases</a>
* <a href="https://github.com/w3c-ccg/did-method-registry" target="_blank">/w3c-ccg/did-method-registry</a> - a list of all known DID Methods and their current level of maturity.
  * <a href="https://github.com/w3c-ccg/didm-btcr" target="_blank">/w3c-ccg/didm-btcr</a> - WORK ITEM: BTCR DID Method Spec
  * <a href="https://github.com/w3c-ccg/didm-veres-one" target="_blank">/w3c-ccg/didm-veres-one</a> - Veres One Decentralized Identifier Method Specification
* <a href="https://github.com/w3c-ccg/did-wg-proposal" target="_blank">/w3c-ccg/did-wg-proposal</a> - Proposal to W3C membership for a DID Working Group.
  * <a href="https://github.com/w3c-ccg/did-wg-charter" target="_blank">/w3c-ccg/did-wg-charter</a> - EXPERIMENTAL charter for the W3C Decentralized Identifier Working Group 
* <a href="https://github.com/w3c-ccg/did-hackathon-2018" target="_blank">/w3c-ccg/did-hackathon-2018</a>
* <a href="https://github.com/w3c-ccg/data-minimization" target="_blank">/w3c-ccg/data-minimization</a> - Data Minimization, Selective Disclosure, and Progressive Trust
* <a href="https://github.com/w3c-ccg/credential-handler-api" target="_blank">/w3c-ccg/credential-handler-api</a>
* <a href="https://github.com/w3c-ccg/amira" target="_blank">/w3c-ccg/amira</a> - Amira Engagement Model.
* <a href="https://github.com/w3c-ccg/functional-identity" target="_blank">/w3c-ccg/functional-identity</a>

#### CCG - Verifiable Credentials [**^**](#contents)

* <a href="https://github.com/w3c-ccg/vc-status-registry" target="_blank"></a> - REGISTRY: The Verifiable Credentials Status Scheme Registry.
* <a href="https://github.com/w3c-ccg/edu_occ_verifiable_credentials" target="_blank">/w3c-ccg/edu_occ_verifiable_credentials</a> - WORK ITEM: Drafts and Ideas of Educational and Occupational Verifiable Credentials.
* <a href="https://github.com/w3c-ccg/vc-examples" target="_blank">/w3c-ccg/vc-examples</a> - WORK ITEM: Verifiable Credentials Examples

#### CCG -  Linked Data [**^**](#contents)
* <a href="https://github.com/w3c-ccg/ocap-ld" target="_blank">/w3c-ccg/ocap-ld</a> - WORK ITEM: Linked Data Object Capabilities specification
* <a href="https://github.com/w3c-ccg/ld-cryptosuite-registry" target="_blank">/w3c-ccg/ld-cryptosuite-registry</a> - REGISTRY: Linked Data Keys Registry

### Digital Verification Community Group [**^**](#contents)
> The mission of the W3C Digital Verification Community Group is to study, design, promote, and deploy systems that increase trust on the Web.

* <a href="https://sea-region.github.com/w3c-dvcg/w3c-dvcg.github.io" target="_blank">/w3c-dvcg/w3c-dvcg.github.io</a> - Landing site for W3C Digital Verification Community Group.
* <a href="https://sea-region.github.com/w3c-dvcg/multibase" target="_blank">/w3c-dvcg/multibase</a> - 
An IETF Internet Draft for the Multibase data format
* <a href="https://sea-region.github.com/w3c-dvcg/hashlink" target="_blank">/w3c-dvcg/hashlink</a> - An IETF Internet Draft for the Hashlink data format
* <a href="https://sea-region.github.com/w3c-dvcg/multihash" target="_blank">/w3c-dvcg/multihash</a> - An IETF Internet Draft for the Multihash data format
* <a href="https://sea-region.github.com/w3c-dvcg/security-vocab" target="_blank">/w3c-dvcg/security-vocab</a> - The Linked Data Security Vocabulary
* <a href="https://sea-region.github.com/w3c-dvcg/lds-rsa2018" target="_blank">/w3c-dvcg/lds-rsa2018</a> - 
Linked Data Signature Suite created in 2018
* <a href="https://sea-region.github.com/w3c-dvcg/http-signatures" target="_blank">/w3c-dvcg/http-signatures</a> - Signing HTTP Messages specification
* <a href="https://sea-region.github.com/w3c-dvcg/ld-proofs" target="_blank">/w3c-dvcg/ld-proofs</a> - 
Linked Data Proofs Specification
* <a href="https://sea-region.github.com/w3c-dvcg/ld-signatures" target="_blank">/w3c-dvcg/ld-signatures</a> - Linked Data Signatures enable digital signatures on Linked Data
* <a href="https://sea-region.github.com/w3c-dvcg/lds-ed25519-2018" target="_blank">/w3c-dvcg/lds-ed25519-2018</a> - Linked Data Signature Suite for Ed25519 2018
* <a href="https://sea-region.github.com/w3c-dvcg/lds-merkleproof2017" target="_blank">/w3c-dvcg/lds-merkleproof2017</a> - 2017 Signature suite for doing Merkle Proofs.
* <a href="https://sea-region.github.com/w3c-dvcg/lds-redaction2016" target="_blank">/w3c-dvcg/lds-redaction2016</a> - Linked Data Signature Suite created in 2016 for performing Redacted 
* <a href="https://sea-region.github.com/w3c-dvcg/http-signatures-audit" target="_blank">/w3c-dvcg/http-signatures-audit</a> - Security considerations for HTTP Signatures specification.
* <a href="https://sea-region.github.com/w3c-dvcg/lds-koblitz2016" target="_blank">/w3c-dvcg/lds-koblitz2016</a> - Linked Data Signature Suite for the Koblitz Elliptic Curve 2016
* <a href="https://sea-region.github.com/w3c-dvcg/lds-pseudonymous2016/" target="_blank">/w3c-dvcg/lds-pseudonymous2016/</a>
* <a href="https://sea-region.github.com/w3c-dvcg/lds-rsa2016/" target="_blank">/w3c-dvcg/lds-rsa2016/</a>

### /opencreds [**^**](#contents)

* <a href="https://github.com/opencreds/website" target="_blank">/opencreds/website</a> - The Open Credentials Website
* <a href="https://github.com/opencreds/minutes" target="_blank">/opencreds/minutes</a> - 
Text and audio meeting minutes for W3C Credentials Community Group

## /decentralized-identity - DIF [**^**](#contents)

* <a href="https://github.com/decentralized-identity/decentralized-identity.github.io" target="_blank">/decentralized-identity/decentralized-identity.github.io</a>  - Site for the open source, community-driven group of dev and organizations working toward an interoperable, decentralized identity ecosystem
* <a href="https://github.com/decentralized-identity/org" target="_blank">/decentralized-identity/org</a> - DIF docs, wiki, and organizational material

### DIF - DID
* <a href="https://github.com/decentralized-identity/did-methods" target="_blank">/decentralized-identity/did-methods</a> - DID Method specs, docs, and materials
* <a href="https://github.com/decentralized-identity/did-common-typescript" target="_blank">/decentralized-identity/did-common-typescript
</a> - A common bundle of shared code and modules for working with DIDs, DID Documents, and other DID-related activities
* <a href="https://github.com/decentralized-identity/did-security-csharp" target="_blank">/decentralized-identity/did-security-csharp</a> - C# implementation of DID security and privacy controls
* <a href="https://github.com/decentralized-identity/did-security-typescript" target="_blank">/decentralized-identity/did-security-typescript</a> - Typescript implementation of DID security and privacy controls
* <a href="https://github.com/decentralized-identity/did-common-java" target="_blank">/decentralized-identity/did-common-java</a> - Shared DID Java library.
* <a href="https://github.com/decentralized-identity/ua-web-extension" target="_blank">/decentralized-identity/ua-web-extension</a> - Basic web extension version of a DID User Agent
* <a href="https://github.com/decentralized-identity/did-recovery" target="_blank">/decentralized-identity/did-recovery</a> - Various methods for DID recovery

### DIF - DID-Auth
* <a href="https://github.com/decentralized-identity/did-auth-jose" target="_blank">/decentralized-identity/did-auth-jose</a> - JOSE-based implementation of DID Authenticated Encryption

### DIF - Sidetree
* <a href="https://github.com/decentralized-identity/sidetree-ipfs" target="_blank">/decentralized-identity/sidetree-ipfs</a> - IPFS module for storing and accessing Sidetree entity operation data via content addressable storage
* <a href="https://github.com/decentralized-identity/sidetree-core" target="_blank">/decentralized-identity/sidetree-core</a> - The blockchain-agnostic server implementation of the Sidetree protocol.
* <a href="https://github.com/decentralized-identity/sidetree-bitcoin" target="_blank">/decentralized-identity/sidetree-bitcoin</a> - Blockchain-specific code for the Sidetree-based DID Method implementation on Bitcoin
* <a href="https://github.com/decentralized-identity/ion" target="_blank">/decentralized-identity/ion</a> - DID Method implementation using the Sidetree protocol on top of Bitcoin

### DIF - Hub
* <a href="https://github.com/decentralized-identity/hub-sdk-js-sample" target="_blank">/decentralized-identity/hub-sdk-js-sample</a> - Sample app demonstrating use of the DIF Identity Hub JavaScript SDK.
* <a href="https://github.com/decentralized-identity/hub-sdk-js" target="_blank">/decentralized-identity/hub-sdk-js</a> - JavaScript SDK for interacting with Identity Hubs
* <a href="https://github.com/decentralized-identity/hub-common-js" target="_blank">/decentralized-identity/hub-common-js</a> - Common interfaces for working with Identity Hubs in JavaScript/TypeScript
* <a href="https://github.com/decentralized-identity/hub-node-core" target="_blank">/decentralized-identity/hub-node-core</a> - Node.js implementation of the Identity Hub interfaces, business logic, and replication protocol.
* <a href="https://github.com/decentralized-identity/identity-hub" target="_blank">/decentralized-identity/identity-hub</a> - Storage and compute nodes for decentralized identity data and interactions
* <a href="https://github.com/decentralized-identity/hub-node-reference" target="_blank">/decentralized-identity/hub-node-reference</a> - The official Identity Hub reference implementation bundle for Node.js

### DIF - Uniresolver

* <a href="https://github.com/decentralized-identity/universal-resolver" target="_blank">/decentralized-identity/universal-resolver</a> - Universal Resolver implementation and drivers.
* <a href="https://github.com/decentralized-identity/universal-resolver-frontend" target="_blank">/decentralized-identity/universal-resolver-frontend</a> - Frontend web UI for Universal Resolver
* <a href="https://github.com/decentralized-identity/universal-resolver-python" target="_blank">/decentralized-identity/universal-resolver-python</a>
* <a href="https://github.com/decentralized-identity/universal-resolver-java" target="_blank">/decentralized-identity/universal-resolver-java</a>

### DIF - Other 
* <a href="https://github.com/decentralized-identity/credential-manifest" target="_blank">/decentralized-identity/credential-manifest</a> - Format that normalizes the definition of requirements for the issuance of a credential
* <a href="https://github.com/decentralized-identity/web-polyfills" target="_blank">/decentralized-identity/web-polyfills</a> - Polyfills for proposed or emerging DID-centric Web APIs
* <a href="https://github.com/decentralized-identity/" target="_blank">/decentralized-identity/</a>
* <a href="https://github.com/decentralized-identity/http-did-auth-proxy" target="_blank">/decentralized-identity/http-did-auth-proxy</a> - Forked from bcgov/http-did-auth-proxy
DID Auth HTTP proxy.

* <a href="https://github.com/decentralized-identity/universal-registrar" target="_blank">/decentralized-identity/universal-registrar</a> - Specifications and implementation of a universal identifier registrar
* <a href="https://github.com/decentralized-identity/attestations" target="_blank">decentralized-identity/attestations</a> - Attestation API implementations for various languages and platforms.


## /hyperledger Indy [**^**](#contents)
* [/hyperledger/indy-plenum](https://github.com/hyperledger/indy-plenum) - Byzantine Fault Tolerant Protocol [[**wiki**](https://github.com/hyperledger/indy-plenum/wiki)]
    > "Byzantine fault tolerance is a sub-field of fault tolerance research inspired by the Byzantine Generals' Problem, which is a generalized version of the Two Generals' Problem." 
    * [Storage components](https://github.com/hyperledger/indy-plenum/blob/master/docs/storage.md) - As of now, RocksDB is used as a key-value database for all Storages.
* [/hyperledger/indy-sdk](https://github.com/hyperledger/indy-sdk) - Everything needed to build applications that interact with an Indy distributed identity ledger.
  * [MAINTAINERS.md](https://github.com/hyperledger/indy-sdk/blob/master/MAINTAINERS.md)
* [/hyperledger/indy-node](https://github.com/hyperledger/indy-node) - The server portion of a distributed ledger purpose-built for decentralized identity.
* [/hyperledger/indy-anoncreds](https://github.com/hyperledger/indy-anoncreds) - Anonymous credentials protocol implementation in python

**>>** **[MORE Indy Related Repositories](../hyperledger/indy-ecosystem/indy-github.md)** **>>**

## /bcgov [**^**](#contents)

* <a href="https://github.com/bcgov/BC-Policy-Framework-For-GitHub" target="_blank">/bcgov/BC-Policy-Framework-For-GitHub</a> - Policy information for BC Government employees using GitHub
* <a href="https://github.com/bcgov/design-system" target="_blank">/bcgov/design-system</a> - British Columbia Government Design System for Digital Services

### BCGov - VON [**^**](#contents)
* <a href="https://github.com/bcgov/TheOrgBook" target="_blank">/bcgov/TheOrgBook</a> - A public repository of verifiable claims about organizations. A key component of the Verifiable Organization Network.
* <a href="https://github.com/bcgov/von" target="_blank">/bcgov/von</a> - Verifiable Organizations Network
* <a href="https://github.com/bcgov/von-connector" target="_blank">/bcgov/von-connector</a> - Verifiable Organization Network Connector
* <a href="https://github.com/bcgov/von-network" target="_blank">/bcgov/von-network</a> - A portable development level Indy Node network.
* <a href="https://github.com/bcgov/von-ledger-explorer" target="_blank">/bcgov/von-ledger-explorer</a> - The VON Ledger Explorer
* <a href="https://github.com/bcgov/dFlow" target="_blank">/bcgov/dFlow</a> - A demonstration of the verifiable organization network showing a new restaurant gathering the permits necessary to open.

### VON - Indy [**^**](#contents)

* <a href="https://github.com/bcgov/indy-catalyst" target="_blank">/bcgov/indy-catalyst</a> - Hyperledger Indy Catalyst is a set of application level software components designed to accelerate the adoption of trustworthy entity to entity communications.
* <a href="https://github.com/bcgov/indy-sdk-postgres-storage" target="_blank">/bcgov/indy-sdk-postgres-storage</a> - PostgreSQL plug-in for use with the indy-sdk

#### VON - Agents

* <a href="https://github.com/bcgov/von-personal-agent" target="_blank">/bcgov/von-personal-agent</a> - A personal agent for the von network.
* <a href="https://github.com/bcgov/VON-ESB-DRS-Agent" target="_blank">/bcgov/VON-ESB-DRS-Agent</a> - Piloting the Dispute Resolution Suite with connections to the OrgBook
* <a href="https://github.com/bcgov/von-agent-template" target="_blank">/bcgov/von-agent-template</a> - Template for a von-x based agent
* <a href="https://github.com/bcgov/von-bc-registries-agent" target="_blank">/bcgov/von-bc-registries-agent</a>
* <a href="https://github.com/bcgov/von_agent" target="_blank">/bcgov/von_agent</a> Forked from PSPC-SPAC-buyandsell/von_agent - VON agents using indy-sdk


### BCGov - DID-Auth [**^**](#contents)
* <a href="https://github.com/bcgov/did-auth-extension" target="_blank">/bcgov/did-auth-extension</a> - DID Auth browser extension.
* <a href="https://github.com/bcgov/http-did-auth-proxy" target="_blank">/bcgov/http-did-auth-proxy</a> - DID Auth HTTP proxy.
* <a href="https://github.com/bcgov/did-auth-relying-party" target="_blank">/bcgov/did-auth-relying-party</a> - DID Auth relying party.
* <a href="" target="_blank"></a>



## /peacekeeper/blockchain-identity [**^**](#contents)

>Projects/companies working on blockchain and identity

* [/peacekeeper/blockchain-identity](https://github.com/peacekeeper/blockchain-identity) - The Original list of Blockchain Identity Initiatives. 

Maintained by, [Markus Sabadello (Peacekeeper)](https://medium.com/@markus.sabadello)

## /decentralized-id/decentralized-id.github.io [**^**](#contents)
You can join in on the research, and help build this educational resource.

* [/decentralized-id/decentralized-id.github.io](https://github.com/decentralized-id/decentralized-id.github.io)

